// src/index.ts
import { useCallback, useEffect, useRef } from "react";
var useCallbackRef = (callback, deps = []) => {
  const callbackRef = useRef(callback);
  useEffect(() => {
    callbackRef.current = callback;
  });
  return useCallback(
    (...args) => callbackRef.current?.(...args),
    // eslint-disable-next-line react-hooks/exhaustive-deps
    deps
  );
};
export {
  useCallbackRef
};
